package main

import (
	"fmt"
	"math/rand"
	"time"
	"math"
)

func main() {
 	fmt.Println(`Welcome to Fibbomag! :)

The rules are simple:
1. You receive a number
2. You work out the optimal "fibonacci sum" of this number, as defined in round #6
3. Find the magnitude of the resulting vector (time for the good old Pythagorean theorem!)

Ready? Let's go!
`)
	rand.Seed(time.Now().UnixNano())
	for {
		num := rand.Intn(1000)
		vec := GlueCall[[]float64]("r6.c", fmt.Sprint(num))
		if len(vec) == 0 && num != 0 {
			// logos code broke
			continue
		}
		// gluebus back to Go because why not
		ans := math.Sqrt(GlueCall[float64]("r14.go", fmt.Sprintf("entry(%#v, %#v)", vec, vec)))
		fmt.Printf("< %d\n", num)

		var guess float64
		for {
			fmt.Print("\r> ")
			_, err := fmt.Scanf("%f", &guess)
			if err != nil {
				continue
			}
			if math.Abs(ans-guess) > 0.01 {
				fmt.Println("Incorrect :(")
				continue
			}
			fmt.Println("You got it! Well done!")
			break
		}
	}
}
